/*
* Copyright (c) 京北方信息技术股份有限公司 Corporation 2022 . All rights reserved.
*
*/
package net.northking.cctp.scriptcase.dto.component;

import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import javax.validation.constraints.*;
import java.io.Serializable;

/**
* Restful接口--更新资源--数据传输对象：业务组件表_编辑
*
* createdate:  2022-10-26 17:52:18  <br>
* @author:  maven-cctp-plugin  <br>
* @since:  1.0 <br>
*/
@JsonSerialize
@ApiModel(description = "业务组件表_编辑")
public class MdBusComponentInfoUpdateDto implements Serializable
{
    /**
     * 主键<br>
     */
    @ApiModelProperty("主键")
    private String id;
    /**
     * 组件名称<br>
     */
    @ApiModelProperty("组件名称")
    private String comName;
    /**
     * 组件类型1-接口，2-pcbs，3-pccs，4-安卓，5-ios<br>
     */
    @ApiModelProperty("组件类型1-接口，2-pcbs，3-pccs，4-安卓，5-ios")
    private Integer comType;
    /**
     * 说明<br>
     */
    @ApiModelProperty("说明")
    private String memo;
    /**
     * 脚本内容<br>
     */
    @ApiModelProperty("脚本内容")
    private String scriptContent;
    /**
     * 是否推荐使用0-推荐1-不推荐<br>
     */
    @ApiModelProperty("是否推荐使用0-推荐1-不推荐")
    private Integer isDeprecated;
    /**
     * 脚本参数<br>
     */
    @ApiModelProperty("脚本参数")
    private String paramJson;
    /**
     * 脚本步骤<br>
     */
    @ApiModelProperty("脚本步骤")
    private String comJson;
    /**
     * 负责人id<br>
     */
    @ApiModelProperty("负责人id")
    @Size(max = 32, message="负责人id-principalId: 数据长度不能 > 32" )
    private String principalId;
    /**
     * 共享标识0-未共享，1-已共享<br>
     */
    @ApiModelProperty("共享标识0-未共享，1-已共享")
    private Integer sharedFlag;

    public String getId() {
        return id;
    }

    public void setId(String id) {
        this.id = id;
    }

    public String getComName() {
        return comName;
    }

    public void setComName(String comName) {
        this.comName = comName;
    }

    public Integer getComType() {
        return comType;
    }

    public void setComType(Integer comType) {
        this.comType = comType;
    }

    public String getMemo() {
        return memo;
    }

    public void setMemo(String memo) {
        this.memo = memo;
    }

    public String getScriptContent() {
        return scriptContent;
    }

    public void setScriptContent(String scriptContent) {
        this.scriptContent = scriptContent;
    }

    public Integer getIsDeprecated() {
        return isDeprecated;
    }

    public void setIsDeprecated(Integer isDeprecated) {
        this.isDeprecated = isDeprecated;
    }

    public String getParamJson() {
        return paramJson;
    }

    public void setParamJson(String paramJson) {
        this.paramJson = paramJson;
    }

    public String getComJson() {
        return comJson;
    }

    public void setComJson(String comJson) {
        this.comJson = comJson;
    }

    public String getPrincipalId() {
        return principalId;
    }

    public void setPrincipalId(String principalId) {
        this.principalId = principalId;
    }

    public Integer getSharedFlag() {
        return sharedFlag;
    }

    public void setSharedFlag(Integer sharedFlag) {
        this.sharedFlag = sharedFlag;
    }
}